It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
avatar
Superdog: /usr/local/games/fallout-2_resolution: 121: /usr/local/games/fallout-2_resolution: winetricks: not found

still giving me a hard time over winetricks.
This is the strange part, in your previous post it was shown as installed. I think this package installation got corrupted in some way, and it shows as installed but actually is not.

You can force its reinstallation with:
apt-get install --reinstall winetricks
Then check that it is available with:
apt-cache policy winetricks
and:
which winetricks
(this last command should return the path to the `winetricks` binary)

---

Due to the missing `winetricks` command the generation of the game prefix is only partially done, so once this winetricks issue is fixed you will have to reset it again with the following commands:
rm --recursive ~/.local/share/play.it/prefixes/fallout-2
mkdir --parents ~/.local/share/games/fallout-2
cp /usr/local/share/games/fallout-2/fallout2.exe ~/.local/share/games/fallout-2
So it didn't give me any error messages during the install, but when I click to launch it, it just loads and loads and never opens. Is it possibly not compatible with Chrome Linux beta?
avatar
Superdog: Is it possibly not compatible with Chrome Linux beta?
Oh, I assumed a Debian Buster from your messages, I should have asked…

./ṕlay.it may work on Chrome OS as a side effect of its support for APT-based distributions (Debian and derivatives), but it is not guaranteed: none of our core developers use it, so it has barely been tested on this platform. For the specific case of Fallout 2, I do not know if it would work as expected or would instead fail with some strange quirks.
Might try it on crouton, which is closer to a pure Linux distro and see what happens.
avatar
Superdog: Might try it on crouton, which is closer to a pure Linux distro and see what happens.
Feedback on this would be most welcome ;)
I seem to have gotten it to work under Crostini, I won't claim to understand why or how, but I reinstalled Liniux Beta completely, redid my entire Wine install and then went though all the steps. When I attempted to run the high resolution patch, i get this error:
wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"

but the the menu comes up. The game loaded, I started a new game and walked around a little, seems to work. Much appreciation for building these scripts. I will report back if more developments occur. Now I just need to change the stupid bearded guy face icon :|
avatar
Superdog: wine: cannot find L"C:\\windows\\system32\\winemenubuilder.exe"
This one you can forget about, this is a harmless warning due to the way ./play.it prevents WINE to create menu entries by itself.

avatar
Superdog: Now I just need to change the stupid bearded guy face icon
I often wondered if I should drop it, as I think it was initially intended as some kind of easter egg. Here is how you can force the use of the smaller standard icon instead:
mkdir --parents ~/.local/share/icons/hicolor/48x48/apps
ln --symbolic /usr/local/share/icons/hicolor/32x32/apps/fallout-2.png ~/.local/share/icons/hicolor/48x48/apps/
Ok, this is dumb, but I absolutely cannot get it to change the icon. I strongly believe this is due to the way chromebook handles icons, is there any way to have it install using the regular pipboy icon?
lol I finally got the stupid icon to change, apparently changing icons in linux beta chromebook is the hardest thing possible for some bizarre reason. Anyway, all is well.
avatar
Superdog: (…)
Did you understand in the end how to change the icon, or is it some mystic manipulation amongst many that did the trick and you still don’t know how or why it worked?

I guess I will remove this icon in some future update, I doubt anyone will miss it…
Update

Fallout

New installer supported:
setup_fallout_1.2_(27130).exe
    + setup_fallout_1.2_(27130)-1.bin

Fallout 2

New installer supported:
setup_fallout2_2.1.0.18.exe

Add missing dependency on winetricks

Include missing configuration file for hi-res patch
Update

Fallout Tactics support has been ported from old Debian-only ./play.it 1.x to current ./play.it 2.x, with support for Arch Linux and Gentoo (and derivatives).